using System.IO;
using System.Net;

var url =
"http://ichart.finance.yahoo.com/table.csv?s=MSFT&d=10&e=10&f=2008&g=d&a=2&b=13&c=1986&ignore=.csv";

Console.Write("url: " + url);

var request = WebRequest.Create(url);
var response = request.GetResponse();
var dataStream = response.GetResponseStream();
var reader = new StreamReader(dataStream);
var csv = reader.ReadToEnd();
reader.Close();
dataStream.Close();
response.Close();

var limit = 200;
var count = 0;
for (count = 0; count < limit; count++)
{
    Console.Write(csv.ElementAt(count));
}
  
var prices = csv.Split('\n').Skip(1)
                .Select(line => line.Split(','))
                .Where(values => values.Length == 7)
                .Select(values =>
                   Tuple.Create(DateTime.Parse(values[0]),
                                float.Parse(values[6])));
  
limit = 10;
count = 0;
foreach (var line in prices)
{
    Console.WriteLine(line);
    count += 1;
    if (count == limit) break;
}
